| Home | Libraries | People | FAQ | More

###### url::url (1 of 5 overloads)

Constructor.

###### Synopsis

    url();

###### Description

Default constructed urls contain a zero-length string. This matches the grammar for a relative-ref with an empty path and no query or fragment.

###### Example

    url u;

###### Postconditions

    this->empty() == true

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    relative-ref  = relative-part [ "?" query ] [ "#" fragment ]

###### Specification

4.2. Relative Reference (rfc3986)